RETestCase (Jakarta-Regexp 1.5 API)
Date: 2019-01-01

org.apache.regexp

## Class RETestCase

- java.lang.Object
- - org.apache.regexp.RETestCase

-     final class RETestCase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `badPattern`
    `private java.lang.StringBuffer` | `log`
    `private int` | `number`
    `private java.lang.String[]` | `parens`
    `private java.lang.String` | `pattern`
    `private RE` | `regexp`
    `private boolean` | `shouldMatch`
    `private java.lang.String` | `tag`
    `private RETest` | `test`
    `private java.lang.String` | `toMatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RETestCase(RETest test, java.lang.String tag, java.lang.String pattern, java.lang.String toMatch, boolean badPattern, boolean shouldMatch, java.lang.String[] parens)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `assertEquals(java.lang.StringBuffer log, java.lang.String message, int expected, int actual)`
    `boolean` | `assertEquals(java.lang.StringBuffer log, java.lang.String message, java.lang.String expected, java.lang.String actual)`
    `private boolean` | `checkParens()`
    `private boolean` | `checkResult(boolean result)`
    `void` | `runTest()`
    `(package private) void` | `success(java.lang.String s)` Show a success
    `(package private) boolean` | `testCreation()`
    `private void` | `testMatch()`
    `(package private) boolean` | `tryMatchUsingCI(CharacterIterator matchAgainst)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          private final java.lang.StringBuffer log

    - #### number

          private final int number

    - #### tag

          private final java.lang.String tag

    - #### pattern

          private final java.lang.String pattern

    - #### toMatch

          private final java.lang.String toMatch

    - #### badPattern

          private final boolean badPattern

    - #### shouldMatch

          private final boolean shouldMatch

    - #### parens

          private final java.lang.String[] parens

    - #### test

          private final RETest test

    - #### regexp

          private RE regexp

  - ### Constructor Detail

    - #### RETestCase

          public RETestCase(RETest test,
                            java.lang.String tag,
                            java.lang.String pattern,
                            java.lang.String toMatch,
                            boolean badPattern,
                            boolean shouldMatch,
                            java.lang.String[] parens)

  - ### Method Detail

    - #### runTest

          public void runTest()

    - #### testCreation

          boolean testCreation()

    - #### testMatch

          private void testMatch()

    - #### checkResult

          private boolean checkResult(boolean result)

    - #### checkParens

          private boolean checkParens()

    - #### tryMatchUsingCI

          boolean tryMatchUsingCI(CharacterIterator matchAgainst)

    - #### assertEquals

          public boolean assertEquals(java.lang.StringBuffer log,
                                      java.lang.String message,
                                      java.lang.String expected,
                                      java.lang.String actual)

    - #### assertEquals

          public boolean assertEquals(java.lang.StringBuffer log,
                                      java.lang.String message,
                                      int expected,
                                      int actual)

    - #### success

          void success(java.lang.String s)

      Show a success
      Parameters:
        `s` - Success story

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.